-diff -dur LVM2.2.02.98.orig/scripts/blk_availability_init_red_hat.in LVM2.2.02.98/scripts/blk_availability_init_red_hat.in
---- LVM2.2.02.98.orig/scripts/blk_availability_init_red_hat.in 2012-10-15 16:24:58.000000000 +0200
-+++ LVM2.2.02.98/scripts/blk_availability_init_red_hat.in 2012-10-25 12:01:33.000000000 +0200
+diff -dur LVM2.2.02.107.orig/scripts/blk_availability_init_red_hat.in LVM2.2.02.107/scripts/blk_availability_init_red_hat.in
+--- LVM2.2.02.107.orig/scripts/blk_availability_init_red_hat.in 2014-06-23 14:07:38.000000000 +0000
++++ LVM2.2.02.107/scripts/blk_availability_init_red_hat.in 2014-07-25 16:24:42.989000000 +0000
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
+ exit 3
;;
esac
-diff -dur LVM2.2.02.98.orig/scripts/clvmd_init_red_hat.in LVM2.2.02.98/scripts/clvmd_init_red_hat.in
---- LVM2.2.02.98.orig/scripts/clvmd_init_red_hat.in 2012-10-15 16:24:58.000000000 +0200
-+++ LVM2.2.02.98/scripts/clvmd_init_red_hat.in 2012-10-25 11:57:52.000000000 +0200
-@@ -65,9 +65,8 @@
+diff -dur LVM2.2.02.107.orig/scripts/blk_availability_systemd_red_hat.service.in LVM2.2.02.107/scripts/blk_availability_systemd_red_hat.service.in
+--- LVM2.2.02.107.orig/scripts/blk_availability_systemd_red_hat.service.in 2014-06-23 14:07:38.000000000 +0000
++++ LVM2.2.02.107/scripts/blk_availability_systemd_red_hat.service.in 2014-07-25 16:24:42.992000000 +0000
+@@ -6,7 +6,7 @@
+
+ [Service]
+ Type=oneshot
+-ExecStart=/usr/bin/true
++ExecStart=/bin/true
+ ExecStop=@sbindir@/blkdeactivate -u -l wholevg
+ RemainAfterExit=yes
+
+diff -dur LVM2.2.02.107.orig/scripts/clvmd_init_red_hat.in LVM2.2.02.107/scripts/clvmd_init_red_hat.in
+--- LVM2.2.02.107.orig/scripts/clvmd_init_red_hat.in 2014-06-23 14:07:38.000000000 +0000
++++ LVM2.2.02.107/scripts/clvmd_init_red_hat.in 2014-07-25 16:24:42.989000000 +0000
+@@ -66,9 +66,8 @@
start()
{
if ! rh_status_q; then
fi
# Refresh local cache.
-@@ -87,7 +86,7 @@
+@@ -88,7 +87,7 @@
${lvm_vgscan} > /dev/null 2>&1
touch $LOCK_FILE
-@@ -112,27 +111,23 @@
+@@ -113,27 +112,23 @@
[ -z "$LVM_VGS" ] && LVM_VGS="$(clustered_vgs)"
if [ -n "$LVM_VGS" ]; then
fi
rm -f $LOCK_FILE
-@@ -142,7 +137,7 @@
+@@ -143,7 +138,7 @@
reload() {
rh_status_q || exit 7
}
restart() {
-@@ -153,7 +148,7 @@
+@@ -154,7 +149,7 @@
# Try to get clvmd to restart itself. This will preserve
# exclusive LV locks
# If that fails then do a normal stop & restart
if [ $? != 0 ]; then
---- LVM2.2.02.106/scripts/lvm2_monitoring_init_red_hat.in.orig 2014-04-10 17:38:46.000000000 +0200
-+++ LVM2.2.02.106/scripts/lvm2_monitoring_init_red_hat.in 2014-04-22 21:38:55.153260547 +0200
+diff -dur LVM2.2.02.107.orig/scripts/lvm2_monitoring_init_red_hat.in LVM2.2.02.107/scripts/lvm2_monitoring_init_red_hat.in
+--- LVM2.2.02.107.orig/scripts/lvm2_monitoring_init_red_hat.in 2014-06-23 14:07:38.000000000 +0000
++++ LVM2.2.02.107/scripts/lvm2_monitoring_init_red_hat.in 2014-07-25 16:29:30.757000000 +0000
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
#
# Copyright (C) 2007-2009 Red Hat, Inc. All rights reserved.
#
-@@ -46,12 +46,19 @@
+@@ -46,32 +46,29 @@
start()
{
- ret=0
-+ local ret=0
++ local config="'log{command_names=0 prefix=\" \"}'"
# TODO do we want to separate out already active groups only?
- VGSLIST=`$VGS --noheadings -o name --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' 2> /dev/null`
+- VGSLIST=`$VGS --noheadings -o name --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' 2> /dev/null`
++ VGSLIST=`$VGS --noheadings -o name --ignoreskippedcluster --config $config 2> /dev/null`
for vg in $VGSLIST
do
- action "Starting monitoring for VG $vg:" $VGCHANGE --monitor y --poll y --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' $vg || ret=$?
-+ msg_starting "Starting monitoring for VG $vg:"; busy
-+ $VGCHANGE --monitor y --poll y --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' $vg
-+ ret=$?
-+ if [ $ret -ne 0 ]; then
-+ fail
-+ return $ret
-+ fi
-+ ok
++ run_cmd "Starting monitoring for VG $vg" $VGCHANGE --monitor y --poll y --ignoreskippedcluster --config $config $vg
done
+-
+- return $ret
+ }
- return $ret
-@@ -60,7 +67,7 @@
stop()
{
- ret=0
-+ local ret=0
++ local config="'log{command_names=0 prefix=\" \"}'"
# TODO do we want to separate out already active groups only?
if test "$WARN" = "1"; then
echo "Not stopping monitoring, this is a dangerous operation. Please use force-stop to override."
-@@ -69,7 +76,14 @@
- VGSLIST=`$VGS --noheadings -o name --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' 2> /dev/null`
+ return 1
+ fi
+- VGSLIST=`$VGS --noheadings -o name --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' 2> /dev/null`
++ VGSLIST=`$VGS --noheadings -o name --ignoreskippedcluster --config ${config} 2> /dev/null`
for vg in $VGSLIST
do
- action "Stopping monitoring for VG $vg:" $VGCHANGE --monitor n --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' $vg || ret=$?
-+ msg_stopping "Stopping monitoring for VG $vg:"; busy
-+ $VGCHANGE --monitor n --ignoreskippedcluster --config 'log{command_names=0 prefix=" "}' $vg
-+ ret=$?
-+ if [ $ret -ne 0 ]; then
-+ fail
-+ return $ret
-+ fi
-+ ok
++ run_cmd "Stopping monitoring for VG $vg" $VGCHANGE --monitor n --ignoreskippedcluster --config $config $vg
done
- return $ret
+- return $ret
}
-diff -dur LVM2.2.02.98.orig/scripts/blk_availability_systemd_red_hat.service.in LVM2.2.02.98/scripts/blk_availability_systemd_red_hat.service.in
---- LVM2.2.02.98.orig/scripts/blk_availability_systemd_red_hat.service.in 2012-10-15 16:24:58.000000000 +0200
-+++ LVM2.2.02.98/scripts/blk_availability_systemd_red_hat.service.in 2012-10-29 15:38:31.000000000 +0100
-@@ -6,7 +6,7 @@
-
- [Service]
- Type=oneshot
--ExecStart=/usr/bin/true
-+ExecStart=/bin/true
- ExecStop=@sbindir@/blkdeactivate -u -l wholevg
- RemainAfterExit=yes
+ rtrn=1